.. _main:

====
Main
====

These are the options that go in **[Main]** section of the config.ini file.

**job**: The type of job to execute.

    default: ``akmc``

    options:

        ``molecular_dynamics``: Molecular dynamics.

        ``parallel_replica``: Calculate the rare-event dynamics of the system by combining transitions observed from multiple trajectories run in parallel.

        ``saddle_search``: Do a saddle point search using a minimum mode method.

        ``displacement_sampling``: Job to sample different displacement methods and parameters to see which are the most efficient.

        ``process_search``: Combined saddle search, minimizations, and prefactor calculations. Used by the aKMC method.

        ``basin_hopping``: Search for global minimum using basin hopping method.

        ``minimization``: Find the minimum from an initial configuration.

        ``akmc``: Run an adaptive kinetic monte carlo simulation.

        ``hessian``: Calculate the Hessian matrix for the specified configuration in a process.

**random_seed**: Takes an integer number for the random seed. If this number is less than zero the current time is used as the random seed.

    default: ``-1``

**temperature**: The temperature that the job will run at.

    default: ``300.0``

**finite_difference**: The finite difference distance to use for dimer, hessian, lanczos, and optimization methods.

    default: ``0.01``

**quiet**:

    default: ``False``
    
**max_force_calls**: The maximum number of total force calls per job. The default, 0, means unlimited force calls. If this limit is reached, an error code 1017 is thrown and shows up in the client log.

    default: ``0``


